Subject: Re: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: [email-masked] (N. Jackson)
Date: Sun, 26 Feb 2017 17:09:16 -0500

At 09:55 +0200 on Saturday 2017-02-25, Eli Zaretskii wrote:
>
> It sometimes happens with preprocessor macros.  The trick I use in
> those cases is this:
>
>   (gdb) print USPosition+0
>
> If even this doesn't help, it most probably means Emacs wasn't
> compiled with the -g3 flag.

I did have the `-g3' flag set. However as part of the historical baggage
in my build script I also had `-ggdb'. Removing the `-ggdb' flag fixed
this particular problem. Now I can get GDB to show me the values of
preprocessor "constants". Thanks.